org.h2gis.functions.spatial.properties

## Class ST_NumGeometries

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_NumGeometries

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_NumGeometries
    extends org.h2gis.api.DeterministicScalarFunction

Get the number of geometries inside a geometry collection

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_NumGeometries()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Integer` `getNumGeometries(org.locationtech.jts.geom.Geometry geometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_NumGeometries

    public ST_NumGeometries()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getNumGeometries

    public static Integer getNumGeometries(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Geometry instance or null
Returns:
  Number of geometries or null if Geometry is null.